Subject: [bug#40032] [PATCH] gnu: Add nvme-cli

From: Vincent Legoll <[email-masked]>
Date: Sun, 15 Mar 2020 19:10:18 +0100

Thanks for all the fixes, I'll try to get better at doing that myself...

On Sun, Mar 15, 2020 at 6:57 PM Leo Famulari <[email-masked]> wrote:
>
> On Sun, Mar 15, 2020 at 06:36:54PM +0100, Vincent Legoll wrote:
> > From 4f794f64ca5438773fc9980bbf0cf5739144dc87 Mon Sep 17 00:00:00 2001
> > From: Vincent Legoll <[email-masked]>
> > Date: Thu, 12 Mar 2020 01:51:12 +0100
> > Subject: [PATCH] gnu: Add nvme-cli
> >
> > * gnu/packages/linux.scm (nvme-cli): New variable.
>
> Thanks! Pushed as 323841bda4e5b8f9b30626ab768aaf711ee6aabf with the
> following changes that I somehow forgot to mention. There was no need to
> make you revise the patch again...
>
> > +       #:phases (modify-phases %standard-phases
> > +                  (delete 'configure)
>
> I added a comment about why the phase is deleted.
>
> > +                  (replace 'install
> > +                    (lambda _
> > +                      (zero? (system* "make" "install-spec" "PREFIX="
> > +                                      (string-append "DESTDIR=" %output))))))
>
> I replaced (zero? (system* ...)) with (invoke ...), which raises
> exceptions on failure rather than returning a boolean #f. This is "the
> Guix way" for a while now:
>
> https://lists.gnu.org/archive/html/guix-devel/2017-12/msg00278.html
>
> > +    (description "Utility to provide standards compliant tooling for NVM-Express
> > +drives.  It was made specifically for Linux as it relies on the IOCTLs defined
>
> And I made this first sentence into a complete sentence.

-- 
Vincent Legoll